ข้ามไปยังเนื้อหา

Orpheus TTS

ผสานการทำงาน

ID โมเดล orpheus-tts
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/orpheus-tts?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: $0.003 3 เครดิต API · ≈ ₽0.32 เรียกใช้ในหน้านี้

รับคีย์ API
Canopy Labs ข้อความเป็นเสียงพูด #text-to-speech#voice-synthesis#high-fidelity

แปลงข้อความเป็นเสียงพูดด้วยเสียงที่มีชื่อให้เลือก 8 เสียง และแท็กแสดงอารมณ์ในข้อความ เช่น laugh และ sigh

Canopy Labs · เสียง

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น

ข้อความสำหรับการสังเคราะห์เสียง ซึ่งอาจมีแท็กแสดงอารมณ์ต่อไปนี้: <laugh>, <chuckle>, <sigh>, <cough>, <sniffle>, <groan>, <yawn>, <gasp>

ขั้นสูง voice · temperature · repetition_penalty · enable_safety_checker
voice ค่าเริ่มต้น tara

ตัวระบุที่เลือกเสียงที่จะใช้

ค่าเริ่มต้น 0.7

อุณหภูมิการสร้าง การเพิ่มค่าจะทำให้ผลลัพธ์สร้างสรรค์มากขึ้น

ค่าเริ่มต้น 1.2

ค่าปรับการทำซ้ำ การสร้างที่มีเสถียรภาพต้องใช้ค่าอย่างน้อย 1.1

POST /run/orpheus-tts?wait=20 ใบเสนอราคา → $0.003
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/orpheus-tts?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Orpheus TTS

แปลงข้อความเป็นเสียงพูดด้วยหนึ่งใน 8 เสียง ได้แก่ tara, leah, jess, leo, dan, mia, zac หรือ zoe (ค่าเริ่มต้นคือ tara) ข้อความสามารถมีแท็กอย่าง <laugh>, <chuckle>, <sigh>, <cough>, <sniffle>, <groan>, <yawn> และ <gasp> ได้ `temperature` อยู่ในช่วง 0 ถึง 2 และ `repetition_penalty` ต้องมีค่าอย่างน้อย 1.1 เพื่อให้ผลลัพธ์มีเสถียรภาพ

พารามิเตอร์

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
textจำเป็น
ประเภทstring
ข้อความสำหรับการสังเคราะห์เสียง ซึ่งอาจมีแท็กแสดงอารมณ์ต่อไปนี้: <laugh>, <chuckle>, <sigh>, <cough>, <sniffle>, <groan>, <yawn>, <gasp>
voiceไม่บังคับ
ประเภทenum
ค่าเริ่มต้นtara
taraleahjessleodanmiazaczoe
ตัวระบุที่เลือกเสียงที่จะใช้
temperatureไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น0.7
0 – 2
อุณหภูมิการสร้าง การเพิ่มค่าจะทำให้ผลลัพธ์สร้างสรรค์มากขึ้น
repetition_penaltyไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น1.2
1.1 – 2
ค่าปรับการทำซ้ำ การสร้างที่มีเสถียรภาพต้องใช้ค่าอย่างน้อย 1.1
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
สามารถผ่อนปรนการคัดกรองได้โดยตั้งค่าเป็น false หากผู้เรียกมีสิทธิ์
จำเป็น

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "orpheus-tts",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3,
    "usd": "0.003",
    "charged": 3,
    "refunded": 0
  },
  "input": {
    "text": "Hello from Doitong. This is a short test sentence."
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
audio
object {url, content_type, file_name, file_size}เสียงที่มีเสียงพูดสังเคราะห์

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/orpheus-tts.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt